Get Action Effects
curl --request GET \
--url https://sapi.withsutro.com/applications/{applicationId}/actions/{actionId}/effects \
--header 'Authorization: Bearer <token>' \
--header 'x-sutro-api-client: <api-key>'import requests
url = "https://sapi.withsutro.com/applications/{applicationId}/actions/{actionId}/effects"
headers = {
"Authorization": "Bearer <token>",
"x-sutro-api-client": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-sutro-api-client': '<api-key>'}
};
fetch('https://sapi.withsutro.com/applications/{applicationId}/actions/{actionId}/effects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"actionEffectId": "<string>",
"effect": "<string>",
"params": {},
"bindParams": {},
"next": "<string>",
"onError": {
"nextId": "<string>",
"continueOriginalFlow": true
}
}
]actions-effects
Get Action Effects
Get Action Effects
Authorizations
Builder authentication and authorization
A unique identifier for the API Client making a request
Path Parameters
Pattern:
^urn:sutro:action:.*$Response
A list of effects for this Action
This is a unique ID to identify this action effect within its parent Action
The ID of the effect to run
Static input parameters for the action effect
Dynamic input parameters for the action effect. These MUST be SCodeValues
This is the ID of the next action effect in the sequence (if any)
Show child attributes
Show child attributes
Was this page helpful?
⌘I